Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona OpenSUSE > Instalación y Actualizaciones


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

  #21  
Antiguo 27-ago-2012, 12:29
Avatar de arag
arag arag está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 08-agosto-2010
Ubicación: Venezuela
Versión: Ultima estable con kde
Mensajes: 2.371
Agradecimientos: 204
Agradecido 379 Veces en 326 Mensajes
Poder de Credibilidad: 9
arag está en el buen camino
Enviar un mensaje por MSN a arag Enviar un mensaje por Skype™ a arag
si con los repos current obtienes ese efecto, tambien lo optienes cambiando el de 12.1 en la direccion del repo clasico por un 12.2
__________________
Mi blog Entre inyecciones y tuxes

La observación es una virtud capital que debemos cultivar por encima de todo pues solo de ella se deriva el éxito en nuestras jugadas.
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a arag Por Este Mensaje:
Kik1n (27-ago-2012)
  #22  
Antiguo 27-ago-2012, 15:11
Kik1n Kik1n está desconectado
Aforado
 
Fecha de Ingreso: 18-junio-2011
Versión: 12.1 tumbleweed + current
Mensajes: 56
Agradecimientos: 12
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 6
Kik1n está en el buen camino
Talking

Cita:
Iniciado por XisEme Ver Mensaje
Además de los current y los standard; del mismo modo que hay un packman para tumbleweed, hay muchos más repositorios específicos para esta versión. Yo uso varios de ellos.

Se pueden descubrir en el buscador de paquetes. Por ejemplo si buscamos "eclipse" y seleccionamos "Show unstable packages" vemos que en download.opensuse.org/repositories/home:/Ignotusp hay uno → http://download.opensuse.org/reposit...SE_Tumbleweed/

Quien dice "eclipse" dice LibreOffice, etc. ... Si buscas gimp verás como media docena de repositorios con versión 2.8 para tumbleweed.
Mmm Descargue eclipse y dice que no se puede instalar o romperlo.
Mejor cambio solo a current. Lo que me gusta de opensuse que es estable y esto me da mala espina.

Gracias
Responder Citando
  #23  
Antiguo 27-ago-2012, 15:22
Kik1n Kik1n está desconectado
Aforado
 
Fecha de Ingreso: 18-junio-2011
Versión: 12.1 tumbleweed + current
Mensajes: 56
Agradecimientos: 12
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 6
Kik1n está en el buen camino
Cita:
Iniciado por arag Ver Mensaje
si con los repos current obtienes ese efecto, tambien lo optienes cambiando el de 12.1 en la direccion del repo clasico por un 12.2
Eliminare tumbleweed, me quedare solo con los current, mas que suficiente tengo con Arch que me llega lo ultimo.

Espero no tener problemas con cambiar de repos tumbl a los normales y current.
Responder Citando
  #24  
Antiguo 27-ago-2012, 15:30
Kik1n Kik1n está desconectado
Aforado
 
Fecha de Ingreso: 18-junio-2011
Versión: 12.1 tumbleweed + current
Mensajes: 56
Agradecimientos: 12
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 6
Kik1n está en el buen camino
MMM no se como integrar current a los repos normales.
Me ayudan
Responder Citando
  #25  
Antiguo 27-ago-2012, 19:56
Avatar de arag
arag arag está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 08-agosto-2010
Ubicación: Venezuela
Versión: Ultima estable con kde
Mensajes: 2.371
Agradecimientos: 204
Agradecido 379 Veces en 326 Mensajes
Poder de Credibilidad: 9
arag está en el buen camino
Enviar un mensaje por MSN a arag Enviar un mensaje por Skype™ a arag
dame la salida del comando "zypper lr"

trata de evitar el doblepost en los temas por favor
__________________
Mi blog Entre inyecciones y tuxes

La observación es una virtud capital que debemos cultivar por encima de todo pues solo de ella se deriva el éxito en nuestras jugadas.
Responder Citando
  #26  
Antiguo 27-ago-2012, 20:57
XisEme XisEme está desconectado
Miembro Senior
 
Fecha de Ingreso: 08-septiembre-2005
Ubicación: ±43º21'N8º22'W
Versión: Tumbleweed[x64]
Mensajes: 1.231
Agradecimientos: 22
Agradecido 300 Veces en 257 Mensajes
Poder de Credibilidad: 13
XisEme está en el buen camino
La pregunta de arag está bien traída

He hecho un simulacro con ese eclipse en mi Tumbleweed, que tiene un batiburrillo de repositorios considerable => más posibilidad de conflictos. Esta es mi #zypper lr -up
Código:
				  | Activado | Actualizar | Prioridad | URI                                                                                                  
+---------------------------------+----------+------------+-----------+------------------------------------------------------------------------------------------------------
| AOO-3.4.1_local                 | Si       | Si         |   99      | dir:///DATOS/OOo/es-3.4.1                                                      
| Ati-fglrx_T                     | Si       | Si         |   99      | http://geeko.ioda.net/mirror/amd-fglrx/openSUSE_Tumbleweed/                                          
| Ati-fglrx-legacy_T              | Si       | Si         |   99      | http://geeko.ioda.net/mirror/amd-fglrx-legacy/openSUSE_Tumbleweed/                                   
| Education_T                     | Si       | Si         |   99      | http://download.opensuse.org/repositories/Education/openSUSE_Tumbleweed/                             
| Gimp_Plugin_Resynthiser_121     | Si       | Si         |   99      | http://download.opensuse.org/repositories/home:/dmacvicar/openSUSE_12.1/                             
| KDEExtra_T                      | Si       | Si         |   77      | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Tumbleweed/                            
| LibreOffice_T                   | Si       | Si         |   95      | http://download.opensuse.org/repositories/LibreOffice:/Unstable/openSUSE_Tumbleweed/                 
| Mozilla_121                     | No       | No         |  100      | http://download.opensuse.org/repositories/mozilla/openSUSE_12.1/                                     
| Packman2_T                      | No       | No         |   75      | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/                                  
| Packman_T                       | Si       | Si         |   75      | http://packman.inode.at/suse/openSUSE_Tumbleweed                                                     
| ReconVoz_PocketSphinx_T         | No       | No         |   99      | http://download.opensuse.org/repositories/home:/Xor26/openSUSE_Tumbleweed/                           
| ReconocVoz_Sphinx_T             | No       | No         |   99      | http://download.opensuse.org/repositories/home:/oprudkyi/openSUSE_Tumbleweed/                        
| Recormydesktop_T                | No       | No         |  110      | http://download.opensuse.org/repositories/home:/saigkill/openSUSE_Tumbleweed_standard/               
| Testing_T_standard              | Si       | Si         |   99      | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed:/Testing/openSUSE_Tumbleweed_standard/
| VLC-livdvdcss_T                 | No       | Si         |  100      | http://download.videolan.org/pub/videolan/vlc/SuSE/Tumbleweed/                                       
| VirtualBox_T                    | Si       | Si         |   95      | http://download.opensuse.org/repositories/Virtualization:/VirtualBox_Tumbleweed/openSUSE_Tumbleweed/ 
| X11Wizardpen_121                | Si       | Si         |   99      | http://download.opensuse.org/repositories/home:/pbleser:/staging/openSUSE_12.1/                      
| ECLIPSE_T_<<<<<<<<<<<<<<<<<     | Si       | Si         |   99      | http://download.opensuse.org/repositories/home:/Ignotusp/openSUSE_Tumbleweed/                        
| wicd_flowabcd_T                 | No       | No         |   99      | http://download.opensuse.org/repositories/home:/flowabcd/openSUSE_Tumbleweed/                        
| openSUSE-Current_oss            | Si       | Si         |   99      | http://download.opensuse.org/distribution/openSUSE-current/repo/oss/                                 
| openSUSE-current_actualizacions | Si       | Si         |   99      | http://download.opensuse.org/update/openSUSE-current/                                                
| openSUSE-current_non-ss         | Si       | Si         |   99      | http://download.opensuse.org/distribution/openSUSE-current/repo/non-oss/                             
| openSUSE_T                      | Si       | Si         |   90      | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/                             
| utilites_BleachBit_T            | Si       | Si         |   99      | http://download.opensuse.org/repositories/utilities/openSUSE_Tumbleweed/
Desconozco que se necesita para eclipse pero, en mi sistema no parece haber problemas => el lío no es por tumbleweed (repito que es estable y en mi experiencia, mucho)
Código:
 # zypper se eclipse ecj
Obteniendo los datos del repositorio...
Leyendo los paquetes instalados...

E | Nombre        | Resumen                   | Tipo       
--+---------------+---------------------------+------------
  | ecj           | Eclipse Compiler for Java | paquete    
  | ecj-bootstrap | Eclipse Java Compiler     | paquete    
  | eclipse-swt   | SWT Library for GTK2      | paquete    
  | eclipse-swt   | SWT Library for GTK2      | paquete src
  
 # zypper in eclipse-swt ecj ecj-bootstrap
Obteniendo los datos del repositorio...
Leyendo los paquetes instalados...
Resolviendo dependencias...

Los siguientes paquetes NUEVOS van a ser instalados:
  ecj ecj-bootstrap eclipse-swt 

3 nuevos paquetes a instalar.
Tamaño total a descargar: 4,8 MiB. Después de la operación se utilizarán 6,7 MiB adicionales.
¿Desea continuar? [s/n/?]n
Cita:
... integrar current a los repos normales.
zypper dup valió para pasar a tumbleweed y también vale para pasar a la 12.1/12.2 una vez modificados los repos.

a ver ...
ahora mismo: current = 12.1
más adelante: current = 12.2
aún más adelante current = 13.x

current son enlaces a los repositorios de la versión estable de cada momento, así los mantenedores de tumbleweed nos ahorran que los usuarios los tengamos que cambiar**
tumbleweed es la distro en vigor (current) + puestas al día (standard) + todo los extras que consideremos (repos en su versión para tumbleweed)
tumbleweed incorpora rápidamente los kernel-linux estables según se van liberando. Esto es un incordio para los que usan drivers gráficos privativos que pueden no funcionar en kernels recientes***
tumbleweed es estable, no se precipita en incorporar novedades, ej. aún no está KDE-4.9

** Estoy expectante ante cambio; cuando current deje de apuntar a los 12.1 y apunten a los 12.2, si como es de esperar, la cosa funciona ... habrá que
*** Los usuarios de Ati ya tienen repos tumbleweed con los fglrx
__________________
Todo es mejorable, estamos dispuestos a mejorar. ¿Yo? ... poco a poco.
Nunca hay acritud en mis comentarios, si lo pareciera, seguro que me he expresado mal.
Responder Citando
  #27  
Antiguo 27-ago-2012, 21:33
Avatar de arag
arag arag está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 08-agosto-2010
Ubicación: Venezuela
Versión: Ultima estable con kde
Mensajes: 2.371
Agradecimientos: 204
Agradecido 379 Veces en 326 Mensajes
Poder de Credibilidad: 9
arag está en el buen camino
Enviar un mensaje por MSN a arag Enviar un mensaje por Skype™ a arag
aprovecho el comentario de xiseme para señalar algo:
Cita:
| openSUSE-Current_oss | Si | Si | 99 | http://download.opensuse.org/distrib...rent/repo/oss/
| openSUSE-current_actualizacions | Si | Si | 99 | http://download.opensuse.org/update/openSUSE-current/
| openSUSE-current_non-ss | Si | Si | 99 | http://download.opensuse.org/distrib.../repo/non-oss/
eso son los repos current solo tiene que agregarlos como si fueran cualquier repo y ya, ellos te deberían apuntar a los paquetes de la ultima versión estable.
__________________
Mi blog Entre inyecciones y tuxes

La observación es una virtud capital que debemos cultivar por encima de todo pues solo de ella se deriva el éxito en nuestras jugadas.
Responder Citando
  #28  
Antiguo 28-ago-2012, 00:38
Kik1n Kik1n está desconectado
Aforado
 
Fecha de Ingreso: 18-junio-2011
Versión: 12.1 tumbleweed + current
Mensajes: 56
Agradecimientos: 12
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 6
Kik1n está en el buen camino
MMM, entonces aun no entiendo tumbleweed.
Tengo los repos tumbleweed + Current, solo esos 5 activados.

Para instalar una aplicacion ejemplo eclipse. ¿Debo de tener los demas repos activados con menor prioridad?
Al salir opensuse 12.2 no tendré que hacer nada, nada mas que hacer zypper dup y listo?

Perdon, soy nuevo en esto de tumbleweed.
Responder Citando
  #29  
Antiguo 28-ago-2012, 01:41
XisEme XisEme está desconectado
Miembro Senior
 
Fecha de Ingreso: 08-septiembre-2005
Ubicación: ±43º21'N8º22'W
Versión: Tumbleweed[x64]
Mensajes: 1.231
Agradecimientos: 22
Agradecido 300 Veces en 257 Mensajes
Poder de Credibilidad: 13
XisEme está en el buen camino
¿5? ¿cuales 5?
Ayuda a los que te ayudan: arag te ha solicitado tu lista de repositorios. Solo tienes que abrir konsole, escribir [sudo] zypper lr -pu, seleccionar lo que salga con el ratón, click-dcho → copiar y pegar.

La mejor manera de entender tumbleweed es considerarla como lo que es: una versión propia y diferente de todas las demás, con sus propios repositorios etc.
Tumbleweed no es una 12.1 con paquetes más actuales, es una versión openSUSE distinta, con paquetes estables, que se van actualizando continuadamente, sin prisas ni precipitaciones. No es para los que quieran estar "a la última".
Cuando salga la 12.2 no habría que hacer nada-nada (dup menos), porque los que estamos en tumbleweed seguiremos en ella, no cambiaremos de versión.

[Simplex, no complex]. añadir el repo de eclipse para tumbleweed ttp://download.opensuse.org/repositories/home:/Ignotusp/openSUSE_Tumbleweed/ marcar para instalar y listo.
__________________
Todo es mejorable, estamos dispuestos a mejorar. ¿Yo? ... poco a poco.
Nunca hay acritud en mis comentarios, si lo pareciera, seguro que me he expresado mal.
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a XisEme Por Este Mensaje:
Kik1n (28-ago-2012)
  #30  
Antiguo 28-ago-2012, 02:32
Avatar de karlggest
karlggest karlggest está desconectado
Moderador
 
Fecha de Ingreso: 07-febrero-2007
Ubicación: Ourense
Versión: Dartmouth, Tumbleweed
Mensajes: 8.066
Agradecimientos: 36
Agradecido 1.188 Veces en 871 Mensajes
Poder de Credibilidad: 19
karlggest está en el buen camino
Os abundo en lo dicho por XisEme, que parece que os liais un poco.

En primer lugar, recordad que openSUSE no tiene versión rolling; en su lugar, tienes una versión estable que se va actualizando constantemente (Tumbleweed). ¿Qué importa esto o cuál es la diferencia?

Bien, en openSUSE no se compila y empaqueta todo el material disponible para cada actualización: simplemente, cuando se considera que un paquete (o varios) puede formar parte de Tumbleweed, se compila y empaqueta, y se añade al repositorio. Si se actualiza algún paquete que utiliza el anterior, se compila con la versión ya disponible en Tumbleweed. Esto es distinto a utilizar repositorios (digamos el de KDE) con la versión normal (por ejemplo, la 12.1): cuando añades el repositorio de KDE 4.9 a la 12.1 puedes necesitar actualizar librerías. y en muchas ocasiones no puedes garantizar que has utilizado las mismas que los mantenedores del repositorio de turno.

En segundo lugar, la consecuencia de esto es que no necesariamente toda la distribución se ve actualizada: tienes un repositorio base para la distribución (p. ej., 12.1) y unos repositorios Tumbleweed correspondientes a los repositorios oficiales. Si todo está bien, cuando salga la versión 12.2 el usuario de Tumbleweed estará usando justamente los mismos paquetes que la nueva versión (a condición, naturalmente, de que vaya actualizando xd): es decir, en la fecha de publicación de una versión dada las versiones de la mayoría (o todos) los paquetes deberían coincidir. Y, también como es de esperar, esto será así hasta que se incorpore una nueva versión de alguna aplicación a Tumbleweed xdd

El repositorio current cumple justamente tal función: daría igual tener un repositorio 12.1 y en su momento cambiarlo a 12.2: current es simplemente un enlace al repositorio de la distribución publicada. Como se dice antes, current es para no tener que cambiarlo y darle un aspecto más rolling.

Pero una rolling de verdad se empaqueta toda la distribución para la misma versión cada cierto tiempo (o a medida que salen novedades). Las distros rolling no suelen tener versiones estables, por la duplicación de trabajo que conlleva openSUSE pretende estar en algún lugar intermedio entre las versiones estables y el uso de las últimas versiones de las aplicaciones más comunes.

Finalmente, podéis echar un vistazo al contenido de los distintos repositorios para ver con más claridad de qué van.

Salud!!
__________________
http://sementedotempo.blogspot.com/

-Si lo creen unos pocos, es un delirio; si son muchos los creyentes, es una religión
Responder Citando
Los Siguientes 2 Usuarios Han Dado las Gracias a karlggest Por Este Mensaje:
Coldbeer (28-ago-2012), Kik1n (28-ago-2012)
Respuesta

Marcadores

Etiquetas
actualización, actualizar, current, instalar, tumbleweed


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Tumbleweed repos... goro Instalación y Actualizaciones 11 03-ene-2014 15:55
Instalar osx, windows 7 y opensuse 11.4 en un imac... y no morir en el intento oscarpoio FAQs, Manuales y Tutoriales 6 04-abr-2013 23:37
Propuesta de traduccion para el foro DiabloRojo El Contubernio 74 01-nov-2011 09:57
Advertencia sobre kde 4.2 en openSUSE RGB Escritorios: KDE, Gnome, otros... 17 14-feb-2009 18:21
Dudas sobre OpenSuSE Mcklaren General OpenSUSE 11 21-dic-2008 17:13



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 02:50.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba